{
    attributes = (
        {
            columnName = "C_TYPE_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cTypeStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VAL"; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VAL"; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "L_TYPE_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = lTypeStructure; 
            valueClassName = NSString; 
            width = 40; 
        }
    ); 
    attributesUsedForLocking = (cTypeStructure, lTypeStructure); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOTypeStructure"; 
    classProperties = (cTypeStructure, lTypeStructure, dDebVal, dFinVal, dCreation, dModification); 
    externalName = "GRHUM.TYPE_STRUCTURE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (cTypeStructure, lTypeStructure, dDebVal, dFinVal, dCreation, dModification); 
        "_javaClientClassName" = "org.cocktail.fwkcktlpersonne.common.metier.EOTypeStructure"; 
        "_nameInObjectStore" = "TYPE_STRUCTURE"; 
    }; 
    name = "Fwkpers_TypeStructure"; 
    primaryKeyAttributes = (cTypeStructure); 
}
